import { expect } from 'chai';
import { cliToken, cliOptions } from '../src/helpers/cliHelper';

describe('cliHelper', () => {
  describe('cliToken', () => {
    it('should be of string type', () => {
      expect(cliToken).to.be.string;
    });
  });

  describe('cliOptions', () => {
    it('should be of object type', () => {
      expect(cliOptions).to.be.an('object');
    });

    it('should not be empty', () => {
      expect(cliOptions).not.to.be.empty;
    });

    it('should contain all expected keys', () => {
      const expectedKeys = [
        'name', 'description', 'homepage', 'private', 'has_issues',
        'has_wiki', 'has_downloads', 'auto_init', 'gitignore_template',
      ];

      expect(cliOptions).to.have.all.keys(expectedKeys);
    });
  });
});
