import { expect } from 'chai';
import { githubFactory } from '../src/github/githubFactory';

describe('githubFactory', () => {
  it('should throw error when calling with token being undefined', () => {
    expect(() => githubFactory()).to.throw(Error);
  });

  it('should return github api object when called with proper token', () => {
    const fakeToken = 'ce34c388f1c78d17be36f345ede5021a59335d4a';

    expect(githubFactory(fakeToken)).to.be.an('object');
    expect(githubFactory(fakeToken)).not.to.be.empty;
  });
});
