import { expect } from 'chai';
import { githubOptionsParser } from '../src/github/githubOptionsParser';

const fakeParserOptions = {
  private: true,
  has_issues: false,
};

describe('githubOptionsParser', () => {
  it('should return default options when no custom options provided.', () => {
    const parsedOptions = githubOptionsParser();

    expect(parsedOptions).to.not.be.empty;
    expect(parsedOptions).to.be.object;
  });

  it('should return options object with custom options applied to it', () => {
    const parsedOptions = githubOptionsParser(fakeParserOptions);

    expect(parsedOptions).to.not.be.empty;
    expect(parsedOptions).to.be.object;
    expect(parsedOptions).to.have.property('private', true);
    expect(parsedOptions).to.have.property('has_issues', false);
  });
});
